Check the signatures in any PDF.

KuduDoc’s PDF signature checker reads every digital signature in a PDF, free with a KuduDoc Personal account. For each one, see whether the signed part has changed since signing, who the certificate names and who issued it. Then see whether it chains to a trust list we use and whether a timestamp is attached. The PDF is read on your device.

Check a PDF What the result shows Personal is free.
No card, no expiry date.

Check a signed PDF

In your KuduDoc account · every plan

PDFLease 7 Kloofnek Rd Tamboerskloof – signed.pdf1.8 MB · 6 pages · read on this device

Reading the PDF on your device…

Asking certificate issuers…

  • 2 digital signatures
  • Nothing saved after the last signature

Signature 1 of 2 · Certification signature

Named in the certificate: Hendrik Botha

Signed part
The signed part is unchanged since this signature.
After this signature
2 updates were saved after this signature: form fields filled in, another signature added. The certifier’s settings allow form filling and signing. The updates saved since are within those settings.
Certificate
Issued to: Hendrik Botha, Botha & Venter Rentals (Pty) Ltd, ZAIssued by: Botha & Venter Rentals Issuing CACan be used from 2 March 2026 to 2 March 2028. At the signing time, the certificate was within those dates (signing time from the signing computer’s clock).
Trust list
The certificate does not chain to a trust list we use.
Revocation
The issuer said this certificate was not revoked when asked at 10:42 SAST (08:42 UTC) on 27 September 2026.
Timestamp
No timestamp is attached. The signing time, 11:20 SAST (09:20 UTC) on 22 September 2026, comes from the clock of the computer that made the signature.
Open the version signed here Compare with the current file

Signature 2 of 2 · Approval signature

Named in the certificate: Lindiwe Khumalo

Signed part
The signed part is unchanged since this signature.
After this signature
Nothing was saved after this signature.
Certificate
Issued to: Lindiwe KhumaloIssued by: Lindiwe KhumaloCan be used from 23 September 2026 to 23 September 2031. At the signing time, the certificate was within those dates (signing time from the signing computer’s clock).Self-signed: the certificate was issued by the name it is issued to.
Trust list
The certificate does not chain to a trust list we use.
Revocation
A self-signed certificate has no issuer to ask.
Timestamp
No timestamp is attached. The signing time, 19:48 SAST (17:48 UTC) on 23 September 2026, comes from the clock of the computer that made the signature.
Open the version signed here Compare with the current file

About the file

Fingerprint (SHA-256)

0dd13c5990acdf78961148812d0acb654c647239f8b1c7767b229f018f26ade3Copy

Document properties

Written by the software that saved the file; anyone can change them.

Title
Residential lease – 7 Kloofnek Road, Tamboerskloof
Author
Botha & Venter Rentals
Made with
LibreOffice 24.8
Created
20 Sep 2026, 16:02 SAST
Modified
23 Sep 2026, 19:48 SAST

Versions saved inside the file: 4

  1. 1Version 1: the original file20 Sep 2026, 16:02 SAST
  2. 2Version 2: signature 1Hendrik Botha · 22 Sep 2026, 11:20 SAST
  3. 3Version 3: form fields filled inTenant, Occupation date
  4. 4Version 4: signature 2Lindiwe Khumalo · 23 Sep 2026, 19:48 SAST

Compare with the current file

Signature 1 of 2 · Hendrik Botha

  1. 1
  2. 2
  3. 3
  4. 4
  5. 5
  6. 6

Pages that look different from the signed version: 6. The differences are outlined.

Compared as pictures of each page.

Open the version signed here
Keep the file and this result in your Library Save this result as a PDF Check another PDF

PDF up to 25 MB · read on your device · trust lists refreshed 25 Sep 2026 · SAAA list checked 25 Sep 2026

Free with a KuduDoc Personal account. The PDF is read on your device.

Sealed with KuduDoc? The public seal check is free and needs no account.

What the result shows

Plain lines, each standing on its own. There is no overall verdict.

  • The summary.

    How many digital signatures the file holds, and whether anything was saved after the last one. “Sealed with KuduDoc” shows only when the file carries a KuduDoc seal.

  • A card for each signature.

    In the order they were applied, with the name in the certificate and six lines. Open the version signed here, or compare it with the current file, page by page.

  • About the file.

    The SHA-256 fingerprint, the document properties, and every version saved inside the file with what each one added.

A PDF sealed with KuduDoc also gets a Sealed with KuduDoc card. The result saves as a PDF report made on your device.

What each line tells you

LineWhat it tells youWhat it does not tell you
Signed partWhether the bytes this signature covers are exactly as they were when it was applied, and whether the signature matches the certificate’s keyWhether what the document says is true, or who pressed sign
After this signatureWhat was saved into the file afterwards (form fields, another signature, comments, page changes) and, for a certification signature, whether its settings allow those changesWhy they were made. Filling in a form after it was certified is ordinary
CertificateWho the certificate names, who issued it and the dates it can be usedWho used it
Trust listWhether the certificate chains to Adobe’s Approved Trust List, a service on the EU trusted lists or a provider on the South African Accreditation Authority’s listAnything about the signer beyond what the certificate states
RevocationWhether the issuer says the certificate was revoked, asked at the time of your check or in data saved in the fileWhether the issuer was right to issue it
TimestampWhether a timestamp authority recorded that the signature existed by a stated time, or only the clock of the computer that made the signature gave a timeThat anyone agreed to the document at that time

To record when a file of your own existed, timestamp a file of your own.

Which trust lists does the checker use?

A trust list names the organisations that issue certificates under a scheme, and the status of each service. The checker uses three, and shows the date each was last refreshed on the checker and on this page.

  • Adobe’s Approved Trust List. The certificate authorities Adobe Acrobat and Reader trust for signed and certified PDFs. About the Approved Trust List.
  • The EU trusted lists. Each EU and EEA country publishes one, and the European Commission publishes the list that points to them all. Browse the EU trusted lists.
  • The South African Accreditation Authority’s list of accredited providers. The Authority publishes the providers, not their certificates, so KuduDoc keeps the issuing certificates each listed provider uses for its accredited service, as the provider confirms them, and checks the SAAA list again every month.
  • A chain to a list is a fact about the certificate. It says who issued it, and under which listed service. It is not a finding about the person who signed. Signatures made in KuduDoc are ordinary electronic signatures under the ECT Act.
  • KuduDoc’s own seal. KuduDoc’s certification certificate is issued by a certificate authority on Adobe’s Approved Trust List, so on a PDF sealed with KuduDoc the trust-list line shows that it chains to Adobe’s list. The checker also compares the PDF with KuduDoc’s sealing records.

Trust lists refreshed 25 Sep 2026SAAA list checked 25 Sep 2026

What the checker reads

WhatHow the result shows it
Signatures a person or a system applied (approval signatures)One card each, in the order they were applied
Certification signatures and their change settingsA card marked “Certification signature”, with the changes its settings allow
Document timestampsA card marked “Document timestamp”
PAdES signatures (ETSI EN 319 142-1, baseline B-B to B-LTA) and CMS/PKCS#7 detached signatures (RFC 5652)Read in full
Older formats that use SHA-1Read; the card says the signature uses SHA-1, an older hashing method
Timestamps inside a signature (RFC 3161)The Timestamp line
Long-term validation data saved in the file: certificates, OCSP responses (RFC 6960) and revocation lists (RFC 5280)The Revocation line, with the time that data was produced
Versions saved inside the file (incremental updates)“After this signature” and “About the file”
Password-protected PDFsRead after you type the password; it stays in your browser
A drawn, typed or scanned signature on the pageNot a digital signature. The result says “No digital signatures found.”

How to check a PDF’s metadata

Drop the PDF on the checker in your KuduDoc account. Under “About the file”, it lists the document properties (title, author, the software that made the file, and the created and modified dates) and every version saved inside the file, with what each version added.

Most PDF readers show the same properties under File › Properties.

Software writes these fields, and anyone with a PDF editor can change them; an innocent re-save changes them too. Treat them as a clue. A signature’s signed part, or a record made when the file was finished, is firmer ground.

What a signature check cannot tell you

  • Whether what the document says is true. A signature covers bytes, not facts.
  • Who pressed sign. The checker shows who the certificate names.
  • Whether an unsigned PDF was changed. With no digital signature and no record made when the file was finished, there is nothing to compare it with. Here is how to check if a PDF has been edited.
  • Whether a document is genuine. To confirm a bank statement, a certificate or a letter, ask the organisation that issued it.
  • Whether a later change was wrong. Filling in a form or adding a signature after certification is ordinary; the checker lists what changed so you can ask about it.

A scan of a paper document signed in ink carries no digital signature from the people who signed the paper. If the scan was sealed, the seal covers the scan, and a sealed scan does not replace a paper original where one is required.

If the PDF was sealed with KuduDoc

  • When a PDF carries a KuduDoc seal, the checker also works out its SHA-256 fingerprint on your device and compares it with KuduDoc’s sealing records. You see three lines: file comparison, record source and timestamp anchor (what a seal records).
  • If updates were saved after sealing, the checker compares the version KuduDoc sealed as well, and lists what was saved after it.
  • A match means unchanged since sealing — a fact about the file's bytes, not about what the document says, who signed it or who owns anything.
  • No match does not establish tampering. The checker cannot tell a never-sealed file from an altered one.
  • To look up a fingerprint or a kdid instead, use the public seal check.

Keep signed PDFs with their check

Keep the file and this result in your Library: the PDF, the result and the time of the check stay together. Signed PDFs you add to your Library later are checked the same way when they arrive, and the result sits beside the file.

The ECT Act weighs an electronic record partly by how reliably its integrity was kept (s15).

Questions people ask about checking PDF signatures

Compare plans →

How do I check the digital signature in a PDF?

Sign in to KuduDoc and drop the PDF on the checker. For each signature, it says whether the signed part has changed since it was applied, who the certificate names, who issued it, whether it chains to a trust list we use, whether it was revoked and whether a timestamp is attached. It is free on every plan, Personal included, and reads the PDF on your device.

What does “the signed part is unchanged since this signature” mean?

The bytes this signature covers are exactly as they were when it was applied. It is a fact about those bytes, not about what the document says or who pressed sign. Anything saved after the signature, such as a filled-in form field or another signature, is listed separately.

Why does it say the certificate does not chain to a trust list we use?

The checker could not link the certificate to Adobe’s Approved Trust List, a service on the EU trusted lists or a provider on the South African Accreditation Authority’s list. The certificate may be self-signed, or its issuer may be on another list. It does not mean the file changed. A current KuduDoc seal chains to Adobe’s list, and the checker also compares it with KuduDoc’s sealing records.

Does a chain to an accredited provider make it an advanced electronic signature?

Not on its own. The checker can show that a certificate chains to an issuer run by a provider on the South African Accreditation Authority’s list, and that is a fact about the certificate. An advanced electronic signature is one that results from an accredited process (ECT Act s1, s37), so the checker reports what the certificate shows and never labels a signature advanced.

Does the checker tell me who signed?

It shows who the certificate names and who issued the certificate, exactly as the certificate states them. It cannot show who used the certificate, and how carefully a person is checked before a certificate is issued depends on the rules that issuer works under. If it matters who signed, ask the sender.

What is the difference between the signing time and a timestamp?

The signing time comes from the clock of the computer that made the signature, so nothing outside that computer vouches for it. A timestamp comes from a timestamp authority and records that the signature existed by the time it states (RFC 3161). The checker shows which of the two it is reading, and whether the timestamp authority’s certificate chains to a trust list we use.

Is my PDF uploaded?

No. The checker reads the PDF in your browser. To ask whether a certificate was revoked, or to fetch an issuing certificate the file lacks, KuduDoc contacts the issuer with details taken from the certificate, never the document. For a PDF sealed with KuduDoc, only SHA-256 fingerprints are sent, never the file. Those requests are logged with the time, your account and your IP address. The file reaches KuduDoc only if you keep it in your Library.

How do I check a PDF’s metadata?

Drop the PDF on the checker in your KuduDoc account. It lists its document properties (title, author, the software that made it, and the created and modified dates) and every version saved inside the file. Most PDF readers show the same properties under File › Properties. Software writes them and anyone can change them, so treat them as a clue.

Read · Check · Keep

Know what a signature covers before you rely on it.

Free on every plan. Keep signed PDFs with their check. Personal is free, with no card and no expiry date.